﻿$version = '1.1.9'
$packageName = 'recime-cli'
$installerType = 'exe'

$url = 'https://github.com/Recime/recime-cli/releases/download/1.1.9/recime-cli_1.1.9_Windows-32bit.zip'
$url64 = 'https://github.com/Recime/recime-cli/releases/download/1.1.9/recime-cli_1.1.9_Windows-64bit.zip'

$silentArgs = '/s' # "/s /S /q /Q /quiet /silent /SILENT /VERYSILENT" # try any of these to get the silent installer #msi is always /quiet
$validExitCodes = @(0) #please insert other valid exit codes here, exit codes for ms http://msdn.microsoft.com/en-us/library/aa368542(VS.85).aspx
$destinationPath = $(Split-Path -parent $MyInvocation.MyCommand.Definition)

Install-ChocolateyZipPackage -PackageName "$packageName" -Url "$url" -UnzipLocation "$destinationPath" -Url64 "$url64" -Checksum "6C2A4A9B68A0EF34CFD1084770AE997D" -ChecksumType "md5" -Checksum64 "FD5AC7A4E23740092D256F0DEBA7556A" -ChecksumType64 "md5"

# Rename the downloaded recime-cli file name to a sane filename
Get-ChildItem -Path "$($destinationPath)\*.exe" | Rename-Item  -NewName "recime-cli.exe"
